TEMPLATE = app
DEPENDPATH += . src
INCLUDEPATH += .
CONFIG += thread
RESOURCES += kitsune.qrc

# Definition des configurations de compilation
win32 {
        DEFINES += WINDOWS
        RC_FILE = kitsuneico.rc
        CONFIG += static
}

unix {
        DEFINES += LINUX
        TARGET = bin/kitsune
}

#choisir un mode de compilation parmi release, test, debug ou profil
CONFIG += release

profil {
        CONFIG += debug
        QMAKE_CXXFLAGS_DEBUG += -pg
        QMAKE_LFLAGS_DEBUG += -pg
}

# utilisation du flag TEST dans les fichiers lors de la config test
test {
        CONFIG += release
        DEFINES += TEST
}

# Input
HEADERS += src/calcul.h \
           src/jeu.h \
           src/tirage.h \
           src/policesqt.h \
           src/widgethorloge.h \
           src/widgetoptions.h \
           src/widgetpopup.h \
           src/widgetplaque.h \
           src/widgetprincipal.h
SOURCES += src/calcul.cpp \
           src/jeu.cpp \
           src/kitsune.cpp \
           src/tirage.cpp \
           src/policesqt.cpp \
           src/widgethorloge.cpp \
           src/widgetoptions.cpp \
           src/widgetpopup.cpp \
           src/widgetplaque.cpp \
           src/widgetprincipal.cpp
