/***************************************************************************
 *   Copyright (C) 2006 by Julien Lemoine, Simon Viennot                   *
 *   lapinot@tuxfamily.org                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "policesqt.h"

#include <QFont>

//dfinition des polices pour les Widgets Qt
policesQt::policesQt() {
	font_normal.setFamily( "Bitstream Vera Sans" );
	font_monospace.setFamily( "Bitstream Vera Sans Mono" );
	font_gros.setFamily( "Bitstream Vera Sans" );
	
	//polices dfinies  partir de la taille en pixel (commun linux et windows)
	font_normal.setPixelSize( 12 );
	font_monospace.setPixelSize( 12 );
	font_gros.setPixelSize( 16 );	
	font_gros.setBold( TRUE );
}
